class MaintenanceAction {

    TaskProcedure taskProcedure
    MaintenancePolicy maintenancePolicy
    Section section
    Asset asset
    AssetSubItem assetSubItem

    String description
    String reasoning = ""
    Integer procedureStepNumber
    boolean isActive = true

//     static hasMany = []

//     static belongsTo = []

    static constraints = {
        section(nullable:true)
        asset(nullable:true)
        assetSubItem(nullable:true)
        maintenancePolicy(nullable:true)
        procedureStepNumber(nullable:true)
        description()
        reasoning()
        isActive()
    }

    String toString() {
        "${this.description}"
    }
}

